microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parametry ścieżki
name
string
wymagane
The name of the memory store.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Treść żądania
Content-Type: application/json
scope
string
wymagane
The namespace that logically groups and isolates memories to delete, such as a user ID.
Odpowiedzi
The request has succeeded.
Treść
Content-Type: application/json
object
enum
wymagane
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
wymagane
The name of the memory store.
scope
string
wymagane
The scope from which memories were deleted.
deleted
boolean
wymagane
Whether the deletion operation was successful.
Żądanie
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json